- name: Get velero pod
  k8s_info:
    kind: Pod
    namespace: "{{ config.velero.namespace }}"
    label_selectors:
      - app.kubernetes.io/instance = velero  
      - name = velero
  register: velero_pod
  failed_when: velero_pod.resources | length == 0
  
- name: Set Velero pod name
  set_fact: 
    velero_podname: "{{ velero_pod.resources[0].metadata.name }}"
